org.jboss.jca.core.security

## Class DefaultSubjectFactory

- java.lang.Object
- - org.jboss.jca.core.security.DefaultSubjectFactory

- All Implemented Interfaces:
    org.jboss.jca.core.spi.security.SubjectFactory

      public class DefaultSubjectFactory
      extends java.lang.Object
      implements org.jboss.jca.core.spi.security.SubjectFactory

  Implements a basic subject factory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSubjectFactory()` Create a new DefaultSubjectFactory.
    `DefaultSubjectFactory(java.lang.String securityDomain, java.lang.String userName, java.lang.String password)` Create a new DefaultSubjectFactory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.security.auth.Subject` | `createSubject()` Create a Subject instance based on the default policy of the implementation
    `javax.security.auth.Subject` | `createSubject(java.lang.String securityDomain)` Create a Subject instance
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `void` | `setPassword(java.lang.String v)` Set the password
    `void` | `setSecurityDomain(java.lang.String v)` Set the security domain
    `void` | `setUserName(java.lang.String v)` Set the user name
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSubjectFactory

          public DefaultSubjectFactory()

      Create a new DefaultSubjectFactory.

    - #### DefaultSubjectFactory

          public DefaultSubjectFactory(java.lang.String securityDomain,
                                       java.lang.String userName,
                                       java.lang.String password)

      Create a new DefaultSubjectFactory.
      Parameters:
        `securityDomain` - securityDomain
        `userName` - userName
        `password` - password

  - ### Method Detail

    - #### setSecurityDomain

          public void setSecurityDomain(java.lang.String v)

      Set the security domain
      Parameters:
        `v` - The value

    - #### setUserName

          public void setUserName(java.lang.String v)

      Set the user name
      Parameters:
        `v` - The value

    - #### setPassword

          public void setPassword(java.lang.String v)

      Set the password
      Parameters:
        `v` - The value

    - #### createSubject

          public javax.security.auth.Subject createSubject()

      Description copied from interface: `org.jboss.jca.core.spi.security.SubjectFactory`
      Create a Subject instance based on the default policy of the implementation
      Specified by:
        `createSubject` in interface `org.jboss.jca.core.spi.security.SubjectFactory`
      Returns:
        The Subject

    - #### createSubject

          public javax.security.auth.Subject createSubject(java.lang.String securityDomain)

      Description copied from interface: `org.jboss.jca.core.spi.security.SubjectFactory`
      Create a Subject instance
      Specified by:
        `createSubject` in interface `org.jboss.jca.core.spi.security.SubjectFactory`
      Parameters:
        `securityDomain` - The security domain
      Returns:
        The Subject

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)